Bug 1309266 - python-utmp: Provide a Python 3 subpackage [NEEDINFO]
Summary: python-utmp: Provide a Python 3 subpackage
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-utmp
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Juha Tuomala
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3 PY3PATCH-AVAILABLE
TreeView+ depends on / blocked
 
Reported: 2016-02-17 10:47 UTC by Petr Viktorin
Modified: 2017-06-09 19:21 UTC (History)
3 users (show)

Fixed In Version: python-utmp-0.8.2-1.fc26
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-09 19:21:27 UTC
Type: Bug
dkrejci: needinfo? (tuju)


Attachments (Terms of Use)
Update to 0.8.2 version including Python 3 subpackage (5.55 KB, patch)
2016-11-03 15:18 UTC, Jan Beran
no flags Details | Diff

Description Petr Viktorin 2016-02-17 10:47:21 UTC
Upstream (since 0.8), this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's fine to do this in Rawhide only.


If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file

Comment 1 Jan Kurik 2016-02-24 15:24:03 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 2 Dominika Krejčí 2016-04-20 12:51:09 UTC
Hello Juha,

Do you need any help adding Python 3 support to the RPM?

If you need more instructions, a [guide] for porting Python-based RPMs is available.

[guide] http://python-rpm-porting.readthedocs.org/en/latest/index.html

Comment 3 Jan Beran 2016-11-03 15:18:37 UTC
Created attachment 1217055 [details]
Update to 0.8.2 version including Python 3 subpackage

There is a warning from C compiler, that is reported at [https://github.com/garabik/python-utmp/issues/1].

Comment 4 Fedora Update System 2017-06-01 13:01:02 UTC
python-utmp-0.8.2-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-460493dc6e

Comment 5 Fedora Update System 2017-06-04 05:13:30 UTC
python-utmp-0.8.2-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-460493dc6e

Comment 6 Fedora Update System 2017-06-09 19:21:27 UTC
python-utmp-0.8.2-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.